This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456698 - Module snd-sb16.ko fails to build in a custom kernel.
Module snd-sb16.ko fails to build in a custom kernel.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks: 499437
  Show dependency treegraph
 
Reported: 2008-07-25 13:08 EDT by Alan Bartlett
Modified: 2009-09-02 05:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Difference between distributed kernel configuration and custom kernel configuration. (5.81 KB, application/octet-stream)
2008-07-25 13:08 EDT, Alan Bartlett
no flags Details
RHEL5 fix for this issue (2.60 KB, patch)
2008-07-28 14:37 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Alan Bartlett 2008-07-25 13:08:07 EDT
Description of problem:

Attempts to build the snd-sb.ko module to support the use of an ISA bus CT4180
sound card (uses Creative Vibra 16C chip) in a customised kernel (ISA bus & ISA
PnP support enabled) will fail due to the ‘struct snd_sb’ having no member named
‘rmidi_callback’ in the file sb16_main.c and sb16.c

Version-Release number of selected component (if applicable):

How reproducible: Always.

Steps to Reproduce:

1.Configure a kernel: Bus options --> ISA support [y]; Device drivers --> PnP
support --> ISA PnP support [y]; Device drivers --> Sound --> ALSA --> ISA
devices --> Sound Blaster 16 (PnP) <m> and Sound Blaster 16/AWE CSP support [y]
2.Execute rpmbuild.
  
Actual results: Fails with following message -

sound/isa/sb/sb16_main.c: In function ‘snd_sb16dsp_interrupt’:
sound/isa/sb/sb16_main.c:407: error: ‘struct snd_sb’ has no member named
‘rmidi_callback’
sound/isa/sb/sb16_main.c:408: error: ‘struct snd_sb’ has no member named
‘rmidi_callback’
make[1]: *** [sound/isa/sb/sb16_main.o] Error 1
make: *** [_module_sound/isa/sb] Error 2


Expected results: Kernel rpm files built.


Additional info: This issue was discovered by a member of the CentOS Community
and is detailed here
http://www.centos.org/modules/newbb/viewtopic.php?topic_id=15302&forum=39&post_id=53636#forumpost53636
Although ISA bus and this sound module support is not part of the default kernel
configuration, source code present should compile without error.
Comment 1 Alan Bartlett 2008-07-25 13:08:07 EDT
Created attachment 312660 [details]
Difference between distributed kernel configuration and custom kernel configuration.
Comment 2 Prarit Bhargava 2008-07-28 14:37:46 EDT
Created attachment 312805 [details]
RHEL5 fix for this issue

RHEL5.4 fix for this issue.
Comment 3 Antti Huhtala 2008-07-29 22:28:19 EDT
(In reply to comment #2)
> Created an attachment (id=312805)
> RHEL5 fix for this issue
> 
> RHEL5.4 fix for this issue.
> 
Thank you, Prarit. I'll test this fix in a couple of days and report the result
here.
Comment 4 Antti Huhtala 2008-08-01 03:04:02 EDT
Now I've tested the patch in Comment #2 and can confirm that CentOS kernel
2.6.18-92.1.6.el5.bz_pre53 compiled all right with the options mentioned by Alan
Bartlett in Step 1. of bug opening.
In addition, sound using SB16 ISA PnP (Vibra 16C) sound card now works in my
PIIX4 Celeron box flawlessly. Many thanks!
Comment 5 RHEL Product and Program Management 2009-02-02 22:38:44 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2009-02-16 10:42:29 EST
Updating PM score.
Comment 7 Don Zickus 2009-02-23 15:01:11 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 Antti Huhtala 2009-02-24 09:38:28 EST
Thank you, Don. I'll try the new kernel in a few days and report back here...
Comment 10 Antti Huhtala 2009-02-28 05:15:06 EST
(In reply to comment #7)
> in kernel-2.6.18-132.el5
> You can download this test kernel from http://people.redhat.com/dzickus/el5
> 
I am pleased to report that the 2.6.18-132.el5 kernel indeed has solved the ISA SB16 sound card problem in my case.
I built a custom kernel from source in http://people.redhat.com/dzickus/el5 and in xconfig added support to things mentioned in Step 1 of original bug description (except Sound Blaster 16/AWE CSP support). 
The kernel compiled without error and the SB Vibra16C PnP ISA sound card now works well with eg. Rhythmbox. Many thanks to all who contributed!
Comment 11 Alan Bartlett 2009-02-28 10:15:54 EST
Thank you for testing this with the original hardware Antti. Your assistance is appreciated.

So that's a "thumbs-up" ACK from here, Don.
Comment 13 errata-xmlrpc 2009-09-02 05:00:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.